CWTable Class Reference

the main class to read the text part of Claris Works file More...

`#include <CWTable.hxx>`

## Public Member Functions

| CWTable (CWParser &parser)
| constructor More...
virtual | ~CWTable ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< CWStruct::DSET > | readTableZone (CWStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...

## Protected Member Functions

bool | sendZone (int number)
| sends the zone data to the listener (if it exists ) More...
bool | askMainToSendZone (int number)
| ask the main parser to send a zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readTableBorders (CWTableInternal::Table &table)
| try to read the table border More...
bool | readTableCells (CWTableInternal::Table &table)
| try to read the table cells More...
bool | readTableBordersId (CWTableInternal::Table &table)
| try to read the table border More...
bool | readTablePointers (CWTableInternal::Table &table)
| try to read a list of pointer ( unknown meaning ) More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr < CWTableInternal::State > | m_state
| the state More...
CWParser * | m_mainParser
| the main parser; More...
shared_ptr< CWStyleManager > | m_styleManager
| the style manager More...

## Private Member Functions

| CWTable (CWTable const &orig)
CWTable & | operator= (CWTable const &orig)

## Friends

class | CWParser
struct | CWTableInternal::Table

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

CWTable::CWTable | ( | CWParser & | parser | ) |

constructor

CWTable::~CWTable | ( |  | ) |

virtual

destructor

CWTable::CWTable | ( | CWTable const & | orig | ) |

private

## Member Function Documentation

bool CWTable::askMainToSendZone | ( | int | number | ) |

protected

ask the main parser to send a zone

Referenced by CWTableInternal::Table::askMainToSendZone().

void CWTable::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

int CWTable::numPages | ( |  | ) | const

returns the number of pages

CWTable& CWTable::operator= | ( | CWTable const & | orig | ) |

private

bool CWTable::readTableBorders | ( | CWTableInternal::Table & | table | ) |

protected

try to read the table border

bool CWTable::readTableBordersId | ( | CWTableInternal::Table & | table | ) |

protected

try to read the table border

bool CWTable::readTableCells | ( | CWTableInternal::Table & | table | ) |

protected

try to read the table cells

bool CWTable::readTablePointers | ( | CWTableInternal::Table & | table | ) |

protected

try to read a list of pointer ( unknown meaning )

shared_ptr< CWStruct::DSET > CWTable::readTableZone | ( | CWStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

find 3 ptr here in general >= PTR, very often PTR+4,PTR+8,PTR+c, but can be more complex for instance PTR+354,PTR-6924,PTR+7fc,

three fields which seems to follows the list of cells zone 0 : looks like a list of integer : related to last selected border ? zone 1 : looks like a list of integer : unknown meaning

bool CWTable::sendZone | ( | int | number | ) |

protected

sends the zone data to the listener (if it exists )

Referenced by flushExtra().

int CWTable::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class CWParser

friend

friend struct CWTableInternal::Table

friend

## Member Data Documentation

CWParser* CWTable::m_mainParser

protected

the main parser;

Referenced by askMainToSendZone(), and sendZone().

MWAWParserStatePtr CWTable::m_parserState

protected

the parser state

Referenced by flushExtra(), readTableBorders(), readTableBordersId(), readTableCells(), readTablePointers(), sendZone(), and version().

shared_ptr<CWTableInternal::State> CWTable::m_state

protected

the state

Referenced by flushExtra(), and sendZone().

shared_ptr<CWStyleManager> CWTable::m_styleManager

protected

the style manager

Referenced by readTableBorders(), and readTableCells().

The documentation for this class was generated from the following files:

- CWTable.hxx
- CWTable.cxx